Summary: Alpine mail user agent
Name: alpine
Version: 2.21
Release: %mkrel 1
License: ASL 2.0
Group: Networking/Mail
Source: http://patches.freeiz.com/alpine/release/src/%{name}-%{version}.tar.xz
URL: http://www.washington.edu/alpine
BuildRequires: aspell
BuildRequires: ncurses-devel
BuildRequires: pam-devel
BuildRequires: libopenssl-devel
BuildRequires: libldap-devel
BuildRequires: gettext-devel
Conflicts: pine
Requires: aspell
Requires: mailcap

%description
Alpine is a tool for reading, sending, and managing e-mail and 
internet news (usenet) messages. It is the successor to Pine and 
was developed by Computing & Communications at the University of
Washington.

Though originally designed for inexperienced email users,
Alpine supports many advanced features and a large number of
configuration and personal-preference options.

This package contains re-alpine, a continuation of alpine. It is 
patched to add support for maildir style mailboxes.


%prep
%setup -q -n %{name}-%{version}

%build
touch imap/ip6
%configure2_5x --without-krb5 \
           --without-tcl \
           --with-c-client-target=lfd \
           --with-spellcheck-prog=aspell \
           --with-passfile=.alpine.passfile \
           --with-system-pinerc=%{_sysconfdir}/pine.conf \
           --with-system-fixed-pinerc=%{_sysconfdir}/pine.conf.fixed


%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m755 imap/mailutil/mailutil $RPM_BUILD_ROOT%{_bindir}/mailutil
install -D -m755 imap/mlock/mlock $RPM_BUILD_ROOT%{_sbindir}/mlock
install -D -m644 imap/src/mailutil/mailutil.1 $RPM_BUILD_ROOT%{_mandir}/man1/mailutil.1

mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/pine.conf
touch %{buildroot}%{_sysconfdir}/pine.conf.fixed

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE doc/tech-notes/tech-notes.txt
%{_bindir}/alpine
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpload
%{_bindir}/rpdump
%{_bindir}/mailutil
%attr(2755, root, mail) %{_sbindir}/mlock
%{_mandir}/man1/alpine.1*
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%{_mandir}/man1/mailutil.1*
%ghost %config(noreplace) %{_sysconfdir}/pine.conf
%ghost %config(noreplace) %{_sysconfdir}/pine.conf.fixed


%changelog
* Sun Apr 16 2017 ghostbunny <ghostbunny at gmx dot de> 2.21-1pclos2017
- 2.21
- remove unused patches

* Thu Jan 08 2015 pinoc <vogtpet at gmail.com> 2.11-1pclos2015
- 2.11

* Sat Oct 29 2011 Texstar <texstar at gmail.com> 2.02-2pclos2011
- update
